#### This Page

# `deploy`

`lektor deploy [SERVER]`

This command deploys the entire contents of the build folder (`--output-path`) onto a configured remote server. The name of the server must fit the name from a target in the project configuration. If no server is supplied then the default server from the config is used.

The deployment credentials are typically contained in the project config file but it's also possible to supply them here explicitly. In this case the `--username` and `--password` parameters (as well as the `LEKTOR_DEPLOY_USERNAME` and `LEKTOR_DEPLOY_PASSWORD` environment variables) can override what's in the URL.

For more information see the deployment chapter in the documentation.

## Options

- `-O, --output-path PATH`: The output path.
- `--username TEXT`: An optional username to override the URL.
- `--password TEXT`: An optional password to override the URL or the default prompt.
- `--key-file TEXT`: The path to a key file that should be used for the authentication of the deployment.
- `--key TEXT`: The contents of a key file directly a string that should be used for authentication of the deployment.
- `--help`: print this help page.

## Comments